declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 'CREATE TABLE CONTRATO_CORPORATIVO (
    "CONTRATO_ID" NUMBER(7) PRIMARY KEY,
    "CLIENTECORPORATIVO_ID" NUMBER(7),
	"GRUPOCONTRATO_ID" NUMBER(7),
	"NUMCONTRATO" VARCHAR2(15),
    "DATA_INICIAL" DATE,
    "DATA_FINAL" DATE,
	"VALOR_CONTRATO" NUMBER(15, 2),
    "PERCENTUAL_BONUS" NUMBER(5, 2),    
    "USUARIOREP_ID" NUMBER(7),
    "TIPO_CALCULO" NUMBER(7),
    "TIPO_TARIFA" NUMBER(7),
    "TIPO_CONTRATO" NUMBER(7),
	"PUNTOVENTA_ID" NUMBER(7),	    
    "OBSERVACAO" VARCHAR2(255),
	"DIVISAO" VARCHAR2(255),
	"STATUS_CONTRATO" NUMBER(7),
	"DESCONTO_FATURA" NUMBER(10, 2),
	"IND_BILHETES_ABERTOS" NUMBER(1),
    "IND_BILHETES_CONFIRMADOS" NUMBER(1),
    "IND_RESERVA_BILHETE" NUMBER(1),
    "IND_MANIPULA_BONUS" NUMBER(1),
    "IND_EXIGE_EXCEDENTE" NUMBER(1),
	"USUARIO_ID" NUMBER(7,0), 
	"ACTIVO" NUMBER(1,0), 
	"FECMODIF" DATE ,
    CONSTRAINT "fk_contrato_punto_venta" FOREIGN KEY ("PUNTOVENTA_ID") REFERENCES PUNTO_VENTA("PUNTOVENTA_ID"),    
    CONSTRAINT "fk_contrato_cliente_corporativo" FOREIGN KEY ("CLIENTECORPORATIVO_ID") REFERENCES CLIENTE_CORPORATIVO("CLIENTECORPORATIVO_ID"),
	CONSTRAINT "fk_contrato_grupo_contrato" FOREIGN KEY ("GRUPOCONTRATO_ID") REFERENCES GRUPO_CONTRATO("GRUPOCONTRATO_ID"),     
	CONSTRAINT "fk_contrato_usuario" FOREIGN KEY ("USUARIO_ID") REFERENCES USUARIO("USUARIO_ID"),
    CONSTRAINT "fk_contrato_representante" FOREIGN KEY ("USUARIOREP_ID") REFERENCES USUARIO("USUARIO_ID")
	)';
  exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 'CREATE SEQUENCE "CONTRATO_CORPORATIVO_SEQ" MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER NOCYCLE';
  exception when object_exists then null;
end;